
Summary:      Real-time software synthesizer
Name:         fluidsynth
Version:      2.3.4
Release:    1%{?dist}
URL:          http://www.fluidsynth.org/
Source0:      https://github.com/Fluidsynth/fluidsynth/archive/v%{version}/fluidsynth-%{version}.tar.gz
License:      LGPL-2.1-or-later
Requires:     fluidsynth-libs = %{version}-%{release}
Recommends:   fluid-soundfont-gm

Patch0:        fluidsynth-defaults.patch
Patch1:        fluidsynth-service.patch

BuildRequires: alsa-lib-devel
BuildRequires: cmake
BuildRequires: dbus-devel
BuildRequires: g++
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: ladspa-devel
BuildRequires: libsndfile-devel
BuildRequires: ncurses-devel
BuildRequires: pkgconfig
BuildRequires: pulseaudio-libs-devel
BuildRequires: pipewire-devel
BuildRequires: libinstpatch-devel
BuildRequires: readline-devel
BuildRequires: graphviz
BuildRequires: systemd-devel

BuildRequires: doxygen
BuildRequires: make

%description
FluidSynth is a real-time software synthesizer based on the SoundFont 2 
specifications. It is a "software synthesizer". FluidSynth can read MIDI events
from the MIDI input device and render them to the audio device. It features 
real-time effect modulation using SoundFont 2.01 modulators, and a built-in
command line shell. It can also play MIDI files (note: FluidSynth was previously
called IIWU Synth).

%package libs
Summary:   Real-time software synthesizer run-time libraries

%description libs
FluidSynth is a real-time software synthesizer based on the SoundFont 2 
specifications. It is a "software synthesizer". This package holds the run-time
shared libraries.

%package devel
Summary:   Real-time software synthesizer development files
Requires:  fluidsynth-libs = %{version}-%{release}
Requires:  fluidsynth = %{version}-%{release}

%description devel
FluidSynth is a real-time software synthesizer based on the SoundFont 2 
specifications. It is a "software synthesizer". This package holds header files
for building programs that link against fluidsynth.

%prep
%autosetup -p1

%build

%define enable_jack on

%{cmake}  -Denable-ladspa=on -Denable-jack=%{enable_jack}

%{cmake_build}

make doxygen -C doc

%install
%{cmake_install}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/
install -m 644 fluidsynth.conf.in %{buildroot}%{_sysconfdir}/sysconfig/fluidsynth
mkdir -p %{buildroot}/usr/lib/systemd/user/
install -m 644 fluidsynth.service.in %{buildroot}/usr/lib/systemd/user/fluidsynth.service

%files
%{_bindir}/fluid*
%{_mandir}/man1/fluidsynth*
%config(noreplace) %{_sysconfdir}/sysconfig/fluidsynth
%attr(0644,root,root) /usr/lib/systemd/user/fluidsynth.service

%files libs
%license LICENSE
%doc AUTHORS README.md THANKS TODO
%{_libdir}/libfluidsynth.so.3
%{_libdir}/libfluidsynth.so.3.*

%files devel
%doc doc/*fluid*.txt doc/*.odt
%doc ChangeLog
%{_includedir}/fluidsynth.h
%{_includedir}/fluidsynth/
%{_libdir}/libfluidsynth.so
%{_libdir}/pkgconfig/*
%{_libdir}/cmake/fluidsynth/


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.4-1
- initial build
